> For the complete documentation index, see [llms.txt](https://docs.wpjobopenings.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wpjobopenings.com/developers/hooks/actions/application-form.md).

# Application Form

### `awsm_application_form_init`

Initialize job application form.

#### Source code

File: *`/inc/class-awsm-job-openings-form.php`*

### `before_awsm_application_form`

Fires before awsm application form.

#### Source code

File: *`/inc/templates/single-job/form.php`*

### `awsm_application_form_description`

For adding any addition form related information.

This hook is available since Version 1.3.0

#### Source code

File: *`inc/templates/single-job/form.php`*

### `awsm_application_form_field_init`

Initialize job application form fields.

#### Source code

File: *`inc/templates/single-job/form.php`*

### `after_awsm_application_form`

Fires after awsm application form.

#### Source code

File: *`inc/templates/single-job/form.php`*

### `awsm_jobs_captcha_failed`

Fires when CAPTCHA verification fails. Use this to log failures or implement custom error handling.

This hook is available since Version 3.6.0

#### **Parameters**

* **$captcha\_type**\
  (string) The CAPTCHA type
* **$error\_codes**\
  (array) Provider-specific error codes
* **$token**\
  (string) The response token
* **$result**\
  (array) Raw verification response array

#### **Source code**&#x20;

File: *`inc/class-awsm-job-openings-form.php`*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wpjobopenings.com/developers/hooks/actions/application-form.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
